import java.util.LinkedList;
import java.io.*;


/** Diese Klasse speichert wann die Ameise wo war und was sie dort getan hat. Dies wird durch eine LinkedList realisiert, in die Waypoints gespeichert werden.<br>
 * Diese Klasse dient hauptschlich zum vereinfachten speichern und Laden der LinkedList. Dafr implementiert sie Serializable.
 *
 * Stand: 09.07.2001
 */
public class AgentsWay
    extends LinkedList
    implements Serializable{

    /** Einfacher Konstruktor.
     */
    public AgentsWay(){
        super();
    }

    /** Liefert den mit dem Parameter bestimmten Waypoint zurck.
     *
     * @param round Runde, fr die der Waypoint abgefragt wird.
     * @return Waypoint
     * @throws IndexOutOfBoundsException falls der Index nicht gepasst hat.
     */
    public Waypoint getWaypoint( int round )
        throws IndexOutOfBoundsException{
        return (Waypoint)get(round);
    }    
}
